#!/usr/bin/ruby

require 'narray'
require 'gplot/Gnuplot'

x = NArray.sfloat(100).indgen!
y = x.collect { |i| i*i }

plot = Plot.new ()

plot.setTitle ("Demo 1");
plot.setXlabel ("X");
plot.setYlabel ("X^2");

ds = DataSet.new (y, {"with"=> "lines", "title"=>"Data"})
ds.setGrid (x)

plot.draw ( ds )
